diff -Nur leafpad-0.8.18.1.orig/po/POTFILES.in leafpad-0.8.18.1/po/POTFILES.in
--- leafpad-0.8.18.1.orig/po/POTFILES.in	2010-12-23 21:56:38.000000000 +0800
+++ leafpad-0.8.18.1/po/POTFILES.in	2015-08-25 10:01:15.959800726 +0800
@@ -9,6 +9,7 @@
 src/search.c
 src/about.c
 src/gnomeprint.c
+src/gtkprint.c
 
 # files added by intltool-prepare
 data/leafpad.desktop.in
diff -Nur leafpad-0.8.18.1.orig/src/gtkprint.c leafpad-0.8.18.1/src/gtkprint.c
--- leafpad-0.8.18.1.orig/src/gtkprint.c	2007-09-11 22:58:39.000000000 +0800
+++ leafpad-0.8.18.1/src/gtkprint.c	2015-08-25 09:54:20.603160822 +0800
@@ -18,6 +18,7 @@
  */
 
 #include <gtk/gtk.h>
+#include "i18n.h"
 
 #if GTK_CHECK_VERSION(2, 10, 0)
 
@@ -94,7 +95,8 @@
 	
 	layout_lh = gtk_print_context_create_pango_layout(ctx);
 	pango_layout_set_font_description(layout_lh, font_desc);
-	pango_layout_set_text(layout_lh, page_title, -1);
+	if (strcmp(page_title, _("Untitled")))
+		pango_layout_set_text(layout_lh, page_title, -1);
 	cairo_move_to(cr, 0, - 72 / 25.4 * 10);
 	pango_cairo_show_layout(cr, layout_lh);
 	
